CWTableInternal::Border Struct Reference

Internal: the border of a CWTable. More...

## Public Member Functions

| Border ()
| the constructor More...

## Public Attributes

Vec2i | m_position [2]
| the origin and the end of edge position : unit WPX_POINT/256 More...
int | m_styleId
| the style id More...
bool | m_isSent
| a flag to know if the border is already sent More...

## Friends

std::ostream & | operator<< (std::ostream &o, Border const &bord)
| operator<< More...

## Detailed Description

Internal: the border of a CWTable.

## Constructor & Destructor Documentation

CWTableInternal::Border::Border | ( |  | ) |

inline

the constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Border const & | bord
| ) |  |

friend

operator<<

## Member Data Documentation

bool CWTableInternal::Border::m_isSent

mutable

a flag to know if the border is already sent

Referenced by CWTableInternal::TableCell::update().

Vec2i CWTableInternal::Border::m_position[2]

the origin and the end of edge position : unit WPX_POINT/256

Referenced by CWTable::readTableBorders().

int CWTableInternal::Border::m_styleId

the style id

Referenced by CWTable::readTableBorders(), and CWTableInternal::TableCell::update().

The documentation for this struct was generated from the following file:

- CWTable.cxx